Bug 170329 - both coreutils-8.12 and firebird-server-2.5.1 install /usr/local/bin/gsplit
Summary: both coreutils-8.12 and firebird-server-2.5.1 install /usr/local/bin/gsplit
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-02 15:10 UTC by bartsch
Modified: 2012-08-09 20:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bartsch 2012-08-02 15:10:07 UTC
both coreutils-8.12 and firebird-server-2.5.1 install /usr/local/bin/gsplit.
This leads to checksum errors from pkg_info and a partly wrong binary lying around.

How-To-Repeat: Install both firebird-server and coreutils.

# pkg_info -W /usr/local/bin/gsplit
pkg_info: both coreutils-8.12 and firebird-server-2.5.1 claim to have installed /usr/local/bin/gsplit

/usr/local/bin/gsplit was installed by package coreutils-8.12

# pkg_info -xgQ firebird-server
firebird-server-2.5.1:/usr/local/bin/gsplit fails the original MD5 checksum
Comment 1 Wesley Shields freebsd_committer 2012-08-03 02:07:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm@FreeBSD.org

Over to acm@. If he doesn't respond in two weeks please ping me and I will take care of this.
Comment 2 dfilter service freebsd_committer 2012-08-09 20:48:24 UTC
Author: acm
Date: Thu Aug  9 19:48:14 2012
New Revision: 302356
URL: http://svn.freebsd.org/changeset/ports/302356

Log:
  - Rename gsplit to fbsplit for avoid conflict with sysutils/coreutils port
  - Add entry to pkg-message
  - Bump PORTREVISION
  
  PR:		ports/170329
  Submitted by:	Alfred Bartsch <bartsch   at  dssgmbh.de>

Modified:
  head/databases/firebird25-server/Makefile
  head/databases/firebird25-server/files/pkg-message.in
  head/databases/firebird25-server/pkg-plist

Modified: head/databases/firebird25-server/Makefile
==============================================================================
--- head/databases/firebird25-server/Makefile	Thu Aug  9 19:47:19 2012	(r302355)
+++ head/databases/firebird25-server/Makefile	Thu Aug  9 19:48:14 2012	(r302356)
@@ -7,7 +7,7 @@
 
 PORTNAME=	firebird
 PORTVERSION=	2.5.1
-PORTREVISION?=	0
+PORTREVISION?=	1
 CATEGORIES?=	databases
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION:S/.0//}-Release/
 PKGNAMESUFFIX?=	-server
@@ -82,7 +82,7 @@ USE_RC_SUBR=	firebird
 SUB_FILES=	pkg-install pkg-message
 
 UTIL_SBIN=	fb_inet_server fb_lock_print fb_smp_server
-UTIL_BIN=	fbguard fbstat fbsvcmgr fbtracemgr gbak gdef gfix gsec gsplit \
+UTIL_BIN=	fbguard fbsplit fbstat fbsvcmgr fbtracemgr gbak gdef gfix gsec \
 		nbackup
 UDF_SO=		ib_udf.so fbudf.so
 UDF_SQL=	src/extlib/ib_udf2.sql src/extlib/fbudf/fbudf.sql
@@ -111,7 +111,8 @@ post-patch:
 	${FIND} ${WRKSRC} -name "*.sh" -exec ${CHMOD} +x {} \+
 	${REINPLACE_CMD} -e \
 			's|/isql|/isql-fb|g' -e \
-			's|/gstat|/fbstat|g' ${WRKSRC}/builds/posix/make.defaults
+			's|/gstat|/fbstat|g' -e \
+			's|/gsplit|/fbsplit|g' ${WRKSRC}/builds/posix/make.defaults
 
 .include <bsd.port.pre.mk>
 

Modified: head/databases/firebird25-server/files/pkg-message.in
==============================================================================
--- head/databases/firebird25-server/files/pkg-message.in	Thu Aug  9 19:47:19 2012	(r302355)
+++ head/databases/firebird25-server/files/pkg-message.in	Thu Aug  9 19:48:14 2012	(r302356)
@@ -26,6 +26,12 @@ before doing anything serious with Fireb
 
 5) See documentation in %%DOCSDIR%%/ for more information.
 
-6) Enjoy it ;)
+6) Some firebird tools were renamed for avoid conflicts with some other ports
+
+	%%PREFIX%%/bin/isql	-> 	%%PREFIX%%/bin/isql-fb
+	%%PREFIX%%/bin/gstat	->	%%PREFIX%%/bin/fbstat
+	%%PREFIX%%/bin/gsplit	->	%%PREFIX%%/bin/fbsplit
+
+7) Enjoy it ;)
 
 ################################################################################

Modified: head/databases/firebird25-server/pkg-plist
==============================================================================
--- head/databases/firebird25-server/pkg-plist	Thu Aug  9 19:47:19 2012	(r302355)
+++ head/databases/firebird25-server/pkg-plist	Thu Aug  9 19:48:14 2012	(r302356)
@@ -1,5 +1,6 @@
 @comment $FreeBSD$
 bin/fbguard
+bin/fbsplit
 bin/fbstat
 bin/fbsvcmgr
 bin/fbtracemgr
@@ -7,7 +8,6 @@ bin/gbak
 bin/gdef
 bin/gfix
 bin/gsec
-bin/gsplit
 bin/nbackup
 sbin/fb_inet_server
 sbin/fb_lock_print
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jose Alonso Cardenas Marquez freebsd_committer 2012-08-09 20:48:25 UTC
State Changed
From-To: open->closed

- Committed thanks :)